sorry but not working Rated 1 out of 5 stars

Hallo to you all , I have firefox 3.5.5 and the extension does not work , it is not compatible , does anyone now what is happening?